# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data.youtube
Class FeedLinkEntry<T extends BaseEntry>

    java.lang.Object
      com.google.gdata.data.AbstractExtension
          com.google.gdata.data.ExtensionPoint
              com.google.gdata.data.BaseEntry<T>
                  com.google.gdata.data.youtube.FeedLinkEntry<T>

All Implemented Interfaces:
  Extension, IAtom, IEntry, Kind.Adaptable, Kind.Adaptor

Direct Known Subclasses:
  PlaylistLinkEntry, SubscriptionEntry

    public abstract class FeedLinkEntry<T extends BaseEntry>

extends BaseEntry<T>

An entry that's actually a glorified feed link, used in playlists and subscription feeds.

Nested Class Summary

Nested classes/interfaces inherited from class com.google.gdata.data.BaseEntry
`BaseEntry.AtomHandler, BaseEntry.EntryState`

Nested classes/interfaces inherited from class com.google.gdata.data.ExtensionPoint
`ExtensionPoint.CumulativeBlobHandler, ExtensionPoint.ExtensionHandler`

Nested classes/interfaces inherited from class com.google.gdata.data.AbstractExtension
`AbstractExtension.AttributesHandler`

Field Summary

Fields inherited from class com.google.gdata.data.BaseEntry
`state`

Fields inherited from class com.google.gdata.data.ExtensionPoint
`xmlBlob`

Fields inherited from class com.google.gdata.data.AbstractExtension
`localName, namespace`

Method Summary
`void` `declareExtensions(ExtensionProfile extProfile)` Declares the set of expected Extension types for an ExtensionPoint within the target extension profile.
`java.lang.Integer` `getCountHint()` Gets an estimate of how many entries can be found in the enclosed feed.
`java.lang.String` `getDescription()` Deprecated. Valid only in version 1. Replaced in version 2.0 with atom:summary.
`FeedLink<?>` `getFeedLink()` Deprecated. Starting with version 2, the feed link can be found in the content. See `getFeedUrl()` and `getCountHint()`.
`java.lang.String` `getFeedUrl()` Gets the URL of the enclosed feed.
`MediaThumbnail` `getThumbnail()` Gets the thumbnail.
`void` `setCountHint(java.lang.Integer hint)` Sets the estimate of how many entries can be found in the enclosed feed.
`void` `setDescription(java.lang.String description)` Deprecated. Valid only in version 1. Replaced in version 2.0 with atom:summary.
`void` `setFeedLink(FeedLink<?> feedLink)` Deprecated. Starting with version 2, the feed link can be found in the content.
`void` `setThumbnail(MediaThumbnail thumbnail)` Sets the thumbnail.

Methods inherited from class com.google.gdata.data.BaseEntry

`addAdaptor, addHtmlLink, addLink, addLink, delete, generate, generateAtom, generateRss, getAdaptedEntry, getAdaptor, getAdaptors, getAuthors, getCanEdit, getCategories, getContent, getContentHandlerInfo, getContributors, getEdited, getEditLink, getEtag, getHandler, getHtmlLink, getId, getKind, getLink, getLinks, getLinks, getMediaEditLink, getPlainTextContent, getPubControl, getPublished, getResumableEditMediaLink, getRights, getSelectedFields, getSelf, getSelfLink, getService, getSource, getSummary, getTextContent, getTitle, getUpdated, getVersionId, isDraft, parseAtom, parseAtom, parseAtom, readEntry, readEntry, removeLinks, removeLinks, setCanEdit, setContent, setContent, setDraft, setEdited, setEtag, setId, setKind, setPubControl, setPublished, setRights, setSelectedFields, setService, setSource, setSummary, setTitle, setUpdated, setVersionId, update, visitChildren`

Methods inherited from class com.google.gdata.data.ExtensionPoint

`addExtension, addExtension, addRepeatingExtension, addRepeatingExtension, checkRequiredExtensions, createExtensionInstance, generate, generateCumulativeXmlBlob, generateExtensions, generateStartElement, getExtension, getExtensionDescription, getExtensionHandler, getExtensions, getManifest, getRepeatingExtension, getRepeatingExtensions, getXmlBlob, hasExtension, hasRepeatingExtension, initializeArbitraryXml, parseCumulativeXmlBlob, removeExtension, removeExtension, removeRepeatingExtension, setExtension, setXmlBlob, visit, visitChild`

Methods inherited from class com.google.gdata.data.AbstractExtension
`consumeAttributes, disableStrictValidation, enableStrictValidation, eq, generateAttributes, getExtensionLocalName, getExtensionNamespace, isImmutable, isStrictValidation, putAttributes, sameClassAs, setImmutable, throwExceptionForMissingAttribute, throwExceptionIfImmutable, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getFeedLink

    public FeedLink<?> getFeedLink()

  Deprecated. Starting with version 2, the feed link can be found in the content. See `getFeedUrl()` and `getCountHint()`.

  Gets the feed link.

### setFeedLink

    public void setFeedLink(FeedLink<?> feedLink)

  Deprecated. Starting with version 2, the feed link can be found in the content.

  Sets the feed link.

### getFeedUrl

    public java.lang.String getFeedUrl()

  Gets the URL of the enclosed feed. This method works both in version 1 and 2.

  Returns:
    URL to the enclosed feed or `null`

### getCountHint

    public java.lang.Integer getCountHint()

  Gets an estimate of how many entries can be found in the enclosed feed. This method works both in version 1 and 2

  Returns:
    an estimate of the number of entries in the enclosed feed or `null`

### setCountHint

    public void setCountHint(java.lang.Integer hint)

  Sets the estimate of how many entries can be found in the enclosed feed. This method adds a tag `yt:countHint`.

  Parameters:
    `hint` - count hint or `null`
  Since:
    2.0

### getThumbnail

    public MediaThumbnail getThumbnail()

  Gets the thumbnail.

### setThumbnail

    public void setThumbnail(MediaThumbnail thumbnail)

  Sets the thumbnail.

### getDescription

    @Deprecated
    public java.lang.String getDescription()

  Deprecated. Valid only in version 1. Replaced in version 2.0 with atom:summary.

  Gets the plaintext user-provided description.

### setDescription

    @Deprecated
    public void setDescription(java.lang.String description)

  Deprecated. Valid only in version 1. Replaced in version 2.0 with atom:summary.

  Sets the plaintext user-provided description.

### declareExtensions

    public void declareExtensions(ExtensionProfile extProfile)

  Description copied from class: `ExtensionPoint`
  Declares the set of expected Extension types for an ExtensionPoint within the target extension profile. The base implementation does not declare any extensions, but can be overridden by specific types of ExtensionPoints that always contain a well-defined set of extensions.

  Specified by:
    `declareExtensions` in interface `Kind.Adaptor`
  Overrides:
    `declareExtensions` in class `ExtensionPoint`
  Parameters:
    `extProfile` - the ExtensionProfile to initialize.
  See Also:
    `ExtensionProfile.addDeclarations(Kind.Adaptor)`